Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenContributionItem

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenActionFactoryContributionItem, GenContributionManager, GenGroupMarker, GenMenuManager, GenSeparator, GenSharedContributionItem, GenToolBarManager

All Known Implementing Classes:
  GenActionFactoryContributionItemImpl, GenContributionItemImpl, GenContributionManagerImpl, GenGroupMarkerImpl, GenMenuManagerImpl, GenSeparatorImpl, GenSharedContributionItemImpl, GenToolBarManagerImpl

    public interface GenContributionItem

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Contribution Item'. Element of UI contribution

The following features are supported:

- `Owner`
- `Application`

See Also:
  `GMFGenPackage.getGenContributionItem()`
** Generated **
Model:
  abstract="true"

Method Summary
`GenApplication` `getApplication()` Returns the value of the 'Application' reference
`GenContributionManager` `getOwner()` Returns the value of the 'Owner' container reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOwner

    GenContributionManager getOwner()

  Returns the value of the 'Owner' container reference. It is bidirectional and its opposite is '`Items`'.

  If the meaning of the 'Owner' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `GMFGenPackage.getGenContributionItem_Owner()`, `GenContributionManager.getItems()`
  ** Generated **
  Model:
    opposite="items" resolveProxies="false" transient="false" changeable="false"

### getApplication

    GenApplication getApplication()

  Returns the value of the 'Application' reference.

  If the meaning of the 'Application' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Application' reference.
  See Also:
    `GMFGenPackage.getGenContributionItem_Application()`
  ** Generated **
  Model:
    resolveProxies="false" transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.